Description

Changes made to Discovery, TFTP, and Chef config files are not reflected when features are refreshed on non-ssl (HTTP) proxy.

For example setting the discovery.yml to :enabled: http, restarting foreman-proxy, and refreshing the proxy features on an https proxy

leaves discovery enabled, but keeps it disabled for HTTP.

Related issues:

Related to Smart Proxy - Bug #10939: Features list doesn't reflect availabili... Resolved

History

#1 - 12/02/2015 03:00 AM - Dominic Cleal

- Status changed from New to Feedback

The same smart proxy is listening on both HTTP and HTTPS?  Are you saying that the features list is different?

At the moment they ought to be identical, so even if you set Discovery to HTTP-only both the HTTPS and HTTP ports will report that Discovery is

enabled.  This is bug #10939.

If they're not identical you could perhaps try querying /features on both proxy ports to check it's working this way.

#2 - 12/04/2015 02:10 PM - Aaron Krzywicki

- Related to Bug #10939: Features list doesn't reflect availability per protocol added

#3 - 12/04/2015 02:32 PM - Aaron Krzywicki

I was able to resolve this by rebooting the hosts system. I'm sure this will be a recurring issue as we spin up new Smart Proxies though.

#4 - 05/17/2017 11:11 AM - Anonymous

- Status changed from Feedback to Resolved
